import { useEffect } from "react";
import { useAppContext } from "../context";
import Login from "../components/top-level/login";
import { useNavigate } from "react-router-dom";
export function LoginPage() {
  const navigate = useNavigate();

  const { loginOrRegister } = useAppContext();
  useEffect(() => {
    sessionStorage.clear();
  }, []);

  const handleLogin = async ({ mobile }) => {
    const isRegistered = await loginOrRegister({ mobile });
    if (isRegistered) {
      navigate("/seat-limit");
    } else {
      navigate("/booking");
    }
  };
  return <Login onSubmit={handleLogin} />;
}
